#
# System notifications
#

{ config, lib, pkgs, ... }:

{
    services.kanshi = {
        enable = true;
        profiles = {
            undocked = {
                outputs = [
                    { criteria = "eDP-1"; status = "enable"; mode = "1920x1080"; position = "0,0"; }
                ];
            };
            #docked_c = {
            #    outputs = [
            #        { criteria = "eDP-1"; status = "enable"; mode = "1920x1080"; position = "2560,0"; }
            #        { criteria = "DP-1"; status = "enable"; mode = "2560x1080"; position = "0,0"; }
            #    ];
            #};
            docked_c = {
                outputs = [
                    { criteria = "eDP-1"; status = "enable"; mode = "1920x1080"; position = "0,0"; scale = 1.5; }
                    { criteria = "DP-1"; status = "enable"; mode = "2560x1080"; position = "1920,0"; }
                ];
            };
            docked_triple = {
                outputs = [
                    { criteria = "eDP-1"; status = "disable"; mode = "1920x1080"; position = "4480,0"; }
                    { criteria = "HDMI-A-1"; status = "enable"; mode = "1920x1080"; position = "0,0"; }
                    { criteria = "DP-1"; status = "enable"; mode = "2560x1080"; position = "1920,0"; }
                ];
            };
        };
    };
}
